org.keycloak.models.utils.reflection

## Class TypedPropertyCriteria

- java.lang.Object
- - org.keycloak.models.utils.reflection.TypedPropertyCriteria

- All Implemented Interfaces:
    PropertyCriteria

      public class TypedPropertyCriteria
      extends Object
      implements PropertyCriteria

  A criteria that matches a property based on its type
  See Also:
    `PropertyCriteria`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TypedPropertyCriteria.MatchOption` Different options can be used to match a specific property based on its type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypedPropertyCriteria(Class<?> propertyClass)`
    `TypedPropertyCriteria(Class<?> propertyClass, TypedPropertyCriteria.MatchOption matchOption)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `fieldMatches(Field f)`
    `boolean` | `methodMatches(Method m)` Tests whether the specified method matches the criteria

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypedPropertyCriteria

          public TypedPropertyCriteria(Class<?> propertyClass)

    - #### TypedPropertyCriteria

          public TypedPropertyCriteria(Class<?> propertyClass,
                                       TypedPropertyCriteria.MatchOption matchOption)

  - ### Method Detail

    - #### fieldMatches

          public boolean fieldMatches(Field f)

    - #### methodMatches

          public boolean methodMatches(Method m)

      Description copied from interface: `PropertyCriteria`
      Tests whether the specified method matches the criteria
      Specified by:
        `methodMatches` in interface `PropertyCriteria`
      Returns:
        true if the method matches

Copyright © 2016 JBoss by Red Hat. All rights reserved.